import { ref as w, watch as C, resolveComponent as k, resolveDirective as y, openBlock as s, createBlock as n, withCtx as b, createElementVNode as c, createElementBlock as r, Fragment as g, renderList as B, unref as I, withDirectives as T, resolveDynamicComponent as x, normalizeClass as D, toDisplayString as $ } from "vue";
import { l as N, aB as S } from "./index2.js";
const E = {
  class: "icon-list",
  style: { height: "60vh", overflow: "hidden auto" }
}, F = ["onClick"], H = { class: "name" }, M = {
  __name: "SIconModal",
  props: {
    value: {
      type: Boolean,
      default: !1
    },
    width: {
      type: Number,
      default: 1028
    }
  },
  emits: ["update:value"],
  setup(a, { emit: i }) {
    const d = ["createFromIconfontCN", "default", "getTwoToneColor", "setTwoToneColor"], u = Object.keys(S).filter((t) => !d.includes(t)), m = a, v = i, o = w(!1);
    C(
      () => m.value,
      (t) => {
        o.value = t;
      }
    );
    const p = () => {
      o.value = !1, v("update:value", !1);
    }, f = (t) => {
      window.$message.success(`<${t}/>`);
    };
    return (t, l) => {
      const _ = k("s-modal"), h = y("clipboard");
      return s(), n(_, {
        value: o.value,
        "onUpdate:value": l[0] || (l[0] = (e) => o.value = e),
        keyboard: "",
        title: "图标选择",
        width: a.width,
        onHandCancel: p
      }, {
        default: b(() => [
          c("div", E, [
            (s(!0), r(g, null, B(I(u), (e) => T((s(), r("div", {
              key: e,
              class: "item-icon",
              onClick: (j) => f(e)
            }, [
              (s(), n(x(e), {
                class: D(e)
              }, null, 8, ["class"])),
              c("div", H, $(e), 1)
            ], 8, F)), [
              [h, `<${e}/>`]
            ])), 128))
          ])
        ]),
        _: 1
      }, 8, ["value", "width"]);
    };
  }
}, O = /* @__PURE__ */ N(M, [["__scopeId", "data-v-2d532453"]]);
export {
  O as default
};
